Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
UnitTestOptions Class Reference

`#include <gtest-internal-inl.h>`

## Static Public Member Functions
static String | GetOutputFormat ()
static String | GetAbsolutePathToOutputFile ()
static bool | PatternMatchesString (const char *pattern, const char *str)
static bool | FilterMatchesTest (const String &test_case_name, const String &test_name)
static bool | MatchesFilter (const String &name, const char *filter)
static String | GetOutputFormat ()
static String | GetAbsolutePathToOutputFile ()
static bool | PatternMatchesString (const char *pattern, const char *str)
static bool | FilterMatchesTest (const String &test_case_name, const String &test_name)
static bool | MatchesFilter (const String &name, const char *filter)
static String | GetOutputFormat ()
static String | GetAbsolutePathToOutputFile ()
static bool | PatternMatchesString (const char *pattern, const char *str)
static bool | FilterMatchesTest (const String &test_case_name, const String &test_name)
static bool | MatchesFilter (const String &name, const char *filter)

## Member Function Documentation

bool FilterMatchesTest | ( | const String & | test_case_name,
|  | const String & | test_name
| ) |  |
| static

static bool FilterMatchesTest | ( | const String & | test_case_name,
|  | const String & | test_name
| ) |  |
| static

static bool FilterMatchesTest | ( | const String & | test_case_name,
|  | const String & | test_name
| ) |  |
| static

String GetAbsolutePathToOutputFile | ( |  | ) |
| static

static String GetAbsolutePathToOutputFile | ( |  | ) |
| static

static String GetAbsolutePathToOutputFile | ( |  | ) |
| static

String GetOutputFormat | ( |  | ) |
| static

static String GetOutputFormat | ( |  | ) |
| static

static String GetOutputFormat | ( |  | ) |
| static

static bool MatchesFilter | ( | const String & | name,
|  | const char * | filter
| ) |  |
| static

bool MatchesFilter | ( | const String & | name,
|  | const char * | filter
| ) |  |
| static

static bool MatchesFilter | ( | const String & | name,
|  | const char * | filter
| ) |  |
| static

static bool PatternMatchesString | ( | const char * | pattern,
|  | const char * | str
| ) |  |
| static

bool PatternMatchesString | ( | const char * | pattern,
|  | const char * | str
| ) |  |
| static

static bool PatternMatchesString | ( | const char * | pattern,
|  | const char * | str
| ) |  |
| static

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest-internal-inl.h
- testing/googleTest/fused-src/gtest/gtest-all.cc
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc